# Interface EnvironmentJson

Represents settings that affect the environment in which the WebScene is displayed (such as lighting). It is part of the initial state of the WebScene as well as slides in the presentation.

See https://developers.arcgis.com/web-scene-specification/objects/environment/.

interface EnvironmentJson {
atmosphereEnabled?: boolean;
background?: ColorBackgroundJson;
lighting?: LightingJson;
starsEnabled?: boolean;
weather?: WeatherJson;
}

#####
Index

### Properties

atmosphereEnabled?
background?
lighting?
starsEnabled?
weather?

##
Properties

### `Optional` atmosphereEnabled

atmosphereEnabled?: boolean

Whether the atmosphere should be visualized. This includes sky and haze effects.

### `Optional` background

background?: ColorBackgroundJson

Specifies how the background of the scene (which lies behind sky, stars and atmosphere) should be displayed.

### `Optional` lighting

lighting?: LightingJson

Object containing information on how the scene is lit.

### `Optional` starsEnabled

starsEnabled?: boolean

Whether stars should be displayed in the sky.

### `Optional` weather

weather?: WeatherJson

Indicates the type of weather visualization in the scene.